[unixODBC-support] unixodbc oracle-driver

Nick Gorham nick at lurcher.org
Sun Jan 18 10:28:49 GMT 2009


w.h wrote:

> I was intended to install the unixodbc on my AIX 5.3 for the ORACLE 9i,
> but after i downloading the ORACLE driver of unixodbc from easysoft  it 
> gave me the following errors:
>    
> [01000][unixODBC][Driver Manager]Can't open lib 
> '/usr/local/easysoft/oracle/libesoracle.a' :    0509-022 Cannot load 
> module /usr/local/easysoft/oracle/libesoracle.a.
>         0509-103   The module has an invalid magic number.
>
> My unixodbc version is 2.2.14 which had successfully installed ,and 
> the driver is :
>  odbc-oracle-3.2.17-aix50+-ppc64-ul64.
>
> There's a case that the lib and the driver in the path 
> '/usr/local/easysoft/oracle/' is libesoracle.a not libesoracle.so,
> i don't does it ok ?Any friend have ideas,do help me !
>
>
> -- 
> w.h

Hi,

Thats odd, the best place for the question is support at easysoft.com, but 
anyway.

What gave you that error? was it using the isql that came with the 
driver install? I guess not as you have 2.2.14?

Can you do a file on the driver?

    ile /usr/local/easysoft/oracle/libesoracle.a

There should be no conflct between 2.2.14 and the driver, but I will 
check to see if something odd is going on.

I have CC's this to support at easysoft.com, so they can add it to the 
tracking system.

Thanks.

-- 
Nick Gorham


More information about the unixODBC-support mailing list